Mark a ready schedule as posted
POST
apiKeyheader
x-api-key<token>scheduleId*stringFormat
uuidIdempotency-Key?stringRepeating a key within 24 hours returns the first response and writes nothing again.
Length
length <= 255OK
application/json- response
postId*stringcontent*stringthread*array<string>|nullmedia*array<>schedules*array<>url*stringreview*|nulldryRun*booleancurl -X POST 'https://app.postonus.com/api/v1/posts/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08/mark-posted'Example Response
{ "postId": "string", "content": "string", "thread": [ "string" ], "media": [ { "url": "string", "type": "IMAGE", "altText": "string" } ], "schedules": [ { "scheduleId": "string", "channelId": "string", "platform": "BLUESKY", "channelName": "string", "scheduledAt": "2019-08-24T14:15:22Z", "status": "DRAFT", "delivery": "API" } ], "url": "string", "review": "pending", "dryRun": true}